/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: http://www.uovalor.com
Last modified by Death on Jan-31-2011 08:57:10pm
Filepath: scripts\_custom\events and scenarios\Slime Event 2011\Quest Items\EmptySlimeBasin.cs
Lines of code: 72
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Network;

namespace Server.Items
{
	public class EmptySlimeBasin : Item
	{
		[Constructable]
		public EmptySlimeBasin() : base( 4105 )
		{
			Name = "An empty slime basin";
			Weight = 1.0;
			Hue = 0;
		}
		
		public override bool Nontransferable { get { return true; } }
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			list.Add( 1060658,"Quest Item \t Do not move from top level of backpack");
		}
		
		#region OnDropped > Delete()
        public override bool OnDroppedToMobile( Mobile from, Mobile target )
        {
            if( from == target )
                return base.OnDroppedToMobile( from, target );

            from.SendMessage(39, "Your empty slime basin has been deleted because of this action");
			Delete();
            return false;
        }

        public override bool OnDroppedInto( Mobile from, Container target, Point3D p )
        {
            if( target == from.Backpack)
                return base.OnDroppedInto( from, target, p );

            from.SendMessage(39, "Your empty slime basin has been deleted because of this action");
			Delete();
            return false;
        }

        public override bool OnDroppedOnto( Mobile from, Item target )
        {
            if( target == from.Backpack)
                return base.OnDroppedOnto( from, target );

            from.SendMessage(39, "Your empty slime basin has been deleted because of this action");
			Delete();
            return false;
        }

        public override bool OnDroppedToWorld( Mobile from, Point3D p )
        {
            from.SendMessage(39, "Your empty slime basin has been deleted because of this action");
			Delete();
            return false;
        }
        #endregion
		
		public override void OnDoubleClick( Mobile from )
		{
			from.SendMessage( "This basin looks like it will hold the pigmented blood of an acid slime, once it has been killed." );
		}

		public EmptySlimeBasin( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}